{% extends "base.html" %}
{% block page-style%}
<style>
.user-name{
    display: inline-block;
}
</style>
{% endblock %}

{% block title %}
Wikilist - Users
{% endblock %}

{% block content %}
<div class="ui stackable grid">
    <div class="ui four wide column">
        <div class="ui vertical fluid secondary menu">
            <h3 class="item">Roles</h3>
            {% for role in roles %}
            <a href="/users?role={{role.id}}" class="item
            {%ifequal filterby role.id%}active{%endifequal%}">{{role.id|capitalize}}</a>
            {% endfor %}
        </div>
    </div>

    <div class="ui twelve wide column">
        <form action="/users/{%if filterby%}?role={{filterby}}{%endif%}" class="{%if error%}error{%endif%} {%if success%}success{%endif%}" method="POST" id="delete-form">

            {% csrf-field %}

            <a href="/users/new{%if filterby%}?role={{filterby}}{%endif%}" class="ui right floated labeled icon button">
                <i class="user plus icon"></i>
                Add User
            </a>

            <!-- Toolbar -->
            <div class="ui icon buttons">
                <!-- Delete selected -->
                <button class="ui icon button" id="delete-button" title="Delete selected">
                    <i class="trash icon"></i>
                </button>
            </div>

            <!-- Messages -->
            {%if error%}
            <div class="ui error message">
                <div class="header">Errors occurred</div>
                <ul>
                    {% for key,value in error %}
                    <li>{{value}}</li>
                    {% endfor %}
                </ul>
            </div>
            {%endif%}

            {% if success %}
            <div class="ui success message">
                <div class="header">Success</div>
                <p>{{success}}</p>
            </div>
            {% endif %}


            <table class="ui selectable single line unstackable table">
                <thead>
                    <tr>
                        <th class="collapsing">
                            <div class="ui fitted checkbox">
                                <input type="checkbox" title="Select All" class="select-all"> <label></label>
                            </div>
                        </th>
                        <th class="collapsing">
                            Role
                        </th>
                        <th>
                            User
                        </th>
                        <th>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    {% for user in users %}
                    <tr>
                        <td class="collapsing">
                            <div class="ui fitted checkbox">
                                <input type="checkbox" name="{{user.id}}" class="select-user"> <label></label>
                            </div>
                        </td>
                        <td class="collapsing">
                            <a href="/users?role={{user.role}}" class="ui
                            {% ifequal user.role "admin" %}
                            black
                            {% else %}
                            {% ifequal user.role "editor" %}
                            grey
                            {%endifequal%}
                            {% endifequal %} label">
                                {{user.role}}
                            </a>
                        </td>
                        <td>
                            {% include user_card.html %}
                        </td>
                        <td class="collapsing">
                            <a href="/users/{{user.id}}" title="Edit user" class="ui icon button">
                                <i class="edit icon"></i>
                            </a>
                        </td>
                    </tr>
                    {% endfor %}
                    {% ifequal users|count 0%}
                    <tr>
                        <td></td>
                        <td><i>No users found</i></td>
                        <td></td>
                        <td></td>
                    </tr>
                    {%endifequal%}
                </tbody>
            </table>

            <div class="ui basic tiny modal" id="confirm-modal">
                <div class="ui icon header">
                    <i class="trash icon"></i>
                    Delete selected users
                </div>
                <div class="content">
                    <p>Are you sure you want to delete selected users?</p>
                </div>
                <div class="actions">
                    <button class="ui red basic cancel inverted button">
                        <i class="remove icon"></i>
                        No
                    </button>
                    <button class="ui approve inverted button" id="delete-confirm">
                        <i class="trash icon"></i>
                        Yes
                    </button>
                </div>
            </div>
            <form>
    </div>

</div>
{% endblock %}

{% block page-scripts %}
<script>
    // Delete Selected
    $('#delete-button').on('click touch', function(e){
        e.preventDefault();
        $('#confirm-modal').modal('show');
    });
    $('#delete-confirm').on('click touch', function(e){
        $("#delete-form").submit();
    });

    // Select all checkbox
    $('.select-all').change(function() {
        if(this.checked){
            $('.select-user').prop('checked', true);
        } else {
            $('.select-user').prop('checked', false);
        }
    });
</script>
{% endblock %}
